Search workflows

Searches workflow definitions with the provided search body and optional query filters. Requires the WORKFLOW.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
statuses[]list of stringsOptional
Filter workflows by one or more statuses such as ACTIVE, INACTIVE, DRAFT, or ARCHIVED.

Request

This endpoint expects an object.
search_fieldslist of objectsRequired
filter_fieldslist of objectsRequired
selection_rule_fieldslist of objectsRequired

Response

OK
datalist of objects
Page data.
limitinteger or null
Page size limit used for this response.
pageinteger or null

Current page number (1-indexed).

total_number_of_pagesinteger or nullDeprecated
Deprecated. Not supported anymore.

Errors

401
Unauthorized Error
403
Forbidden Error